finance-query v3.0.0

Finance Query v2#

Generated by cargo soothfast spec html from openapi.yaml (OpenAPI 3.1.0). Regenerate with cargo soothfast spec gen + spec html; do not hand-edit.

Version: 3.0.0

High-performance financial data API server built on finance-query library

Servers:

Endpoints 90 endpoint(s), 63 group(s)#

Analysis 1 endpoint(s)#

GET/v2/analysis/{symbol}/{type}Get analysis data

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)
type required
AnalysisType (path)
Analysis type for `GET /v2/analysis/{symbol}/{type}`.

Available values: recommendations, upgrades-downgrades, earnings-estimate, earnings-history

Responses

200OK

application/json

{}

AnalysisResponse

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Backtest 1 endpoint(s)#

POST/v2/backtest/{symbol}Run a strategy backtest

Parameters

namedescriptionvalue
symbol required
string (path)

Request body

Request body

application/json

{
  "equityCursor": "string",
  "equityLimit": 0,
  "fields": "string",
  "interval": "1m",
  "params": {
    "allowShort": true,
    "commissionPct": 0.0,
    "exitAtMiddle": true,
    "fastPeriod": 0,
    "initialCapital": 0.0,
    "maintenanceMarginPct": 0.0,
    "marginInterestRate": 0.0,
    "maxLeverage": 0.0,
    "multiplier": 0.0,
    "overbought": 0.0,
    "oversold": 0.0,
    "period": 0,
    "positionSizePct": 0.0,
    "shortBorrowRate": 0.0,
    "signalPeriod": 0,
    "slippagePct": 0.0,
    "slowPeriod": 0,
    "stdDev": 0.0,
    "stopLossPct": 0.0,
    "takeProfitPct": 0.0
  },
  "range": "1d",
  "strategy": "string",
  "tradesCursor": "string",
  "tradesLimit": 0
}

BacktestRequest

Responses

200OK

application/json

{
  "diagnostics": [
    "string"
  ],
  "endTimestamp": 0,
  "equityCurve": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "drawdownPct": 0.0,
          "equity": 0.0,
          "timestamp": 0
        }
      }
    ],
    "nodes": [
      {
        "drawdownPct": 0.0,
        "equity": 0.0,
        "timestamp": 0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  },
  "finalEquity": 0.0,
  "initialCapital": 0.0,
  "maxLeverageUsed": 0.0,
  "metrics": {
    "annualizedReturnPct": 0.0,
    "avgLossDuration": 0.0,
    "avgLossPct": 0.0,
    "avgTradeDuration": 0.0,
    "avgTradeReturnPct": 0.0,
    "avgWinDuration": 0.0,
    "avgWinPct": 0.0,
    "calmarRatio": 0.0,
    "executedSignals": 0,
    "expectancy": 0.0,
    "kellyCriterion": 0.0,
    "largestLoss": 0.0,
    "largestWin": 0.0,
    "longTrades": 0,
    "losingTrades": 0,
    "maxConsecutiveLosses": 0,
    "maxConsecutiveWins": 0,
    "maxDrawdownDuration": 0,
    "maxDrawdownPct": 0.0,
    "maxIdlePeriod": 0,
    "omegaRatio": 0.0,
    "profitFactor": 0.0,
    "recoveryFactor": 0.0,
    "serenityRatio": 0.0,
    "sharpeRatio": 0.0,
    "shortTrades": 0,
    "sortinoRatio": 0.0,
    "sqn": 0.0,
    "tailRatio": 0.0,
    "timeInMarketPct": 0.0,
    "totalCommission": 0.0,
    "totalDividendIncome": 0.0,
    "totalFinancingCost": 0.0,
    "totalReturnPct": 0.0,
    "totalSignals": 0,
    "totalTrades": 0,
    "ulcerIndex": 0.0,
    "winRate": 0.0,
    "winningTrades": 0
  },
  "startTimestamp": 0,
  "strategyName": "string",
  "symbol": "string",
  "trades": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "commission": 0.0,
          "dividendIncome": 0.0,
          "entryPrice": 0.0,
          "entryQuantity": 0.0,
          "entrySignal": {
            "direction": "string",
            "price": 0.0,
            "reason": "string",
            "strength": 0.0,
            "tags": [
              "string"
            ],
            "timestamp": 0
          },
          "entryTimestamp": 0,
          "exitPrice": 0.0,
          "exitSignal": {
            "direction": "string",
            "price": 0.0,
            "reason": "string",
            "strength": 0.0,
            "tags": [
              "string"
            ],
            "timestamp": 0
          },
          "exitTimestamp": 0,
          "financingCost": 0.0,
          "isPartial": true,
          "pnl": 0.0,
          "quantity": 0.0,
          "returnPct": 0.0,
          "scaleSequence": 0,
          "side": "string",
          "tags": [
            "string"
          ],
          "transactionTax": 0.0,
          "unreinvestedDividends": 0.0
        }
      }
    ],
    "nodes": [
      {
        "commission": 0.0,
        "dividendIncome": 0.0,
        "entryPrice": 0.0,
        "entryQuantity": 0.0,
        "entrySignal": {
          "direction": "string",
          "price": 0.0,
          "reason": "string",
          "strength": 0.0,
          "tags": [
            "string"
          ],
          "timestamp": 0
        },
        "entryTimestamp": 0,
        "exitPrice": 0.0,
        "exitSignal": {
          "direction": "string",
          "price": 0.0,
          "reason": "string",
          "strength": 0.0,
          "tags": [
            "string"
          ],
          "timestamp": 0
        },
        "exitTimestamp": 0,
        "financingCost": 0.0,
        "isPartial": true,
        "pnl": 0.0,
        "quantity": 0.0,
        "returnPct": 0.0,
        "scaleSequence": 0,
        "side": "string",
        "tags": [
          "string"
        ],
        "transactionTax": 0.0,
        "unreinvestedDividends": 0.0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  }
}

GqlBacktestResult

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Calendar 1 endpoint(s)#

GET/v2/calendarGet upcoming financial event calendar

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
range optional
TimeRange (query)
Forward window: 1wk/5d, 1mo, 3mo, etc. (default: 1mo)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbols required
string (query)
Comma-separated symbols (required)

Responses

200OK

application/json

[
  {
    "date": "string",
    "event": {
      "EARNINGS": {
        "epsEstimateAvg": 0.0,
        "epsEstimateHigh": 0.0,
        "epsEstimateLow": 0.0,
        "isEstimate": true,
        "revenueEstimateAvg": 0
      }
    },
    "symbol": "string",
    "timestamp": 0
  }
]

GqlCalendarEvent[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Capital gains 2 endpoint(s)#

GET/v2/capital-gainsGet batch capital gains history

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
range optional
TimeRange (query)
Time range (default: max)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbols required
string (query)
Comma-separated symbols (required)

Responses

200OK

application/json

{
  "capitalGains": [
    {
      "capitalGains": [
        {
          "amount": 0.0,
          "timestamp": 0
        }
      ],
      "symbol": "string"
    }
  ],
  "errors": [
    {
      "message": "string",
      "symbol": "string"
    }
  ]
}

GqlCapitalGainsBatch

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/capital-gains/{symbol}Get capital gains distribution history

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
range optional
TimeRange (query)
Time range (default: max)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbol required
string (path)

Responses

200OK

application/json

[
  {
    "amount": 0.0,
    "timestamp": 0
  }
]

GqlCapitalGain[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Cftc 1 endpoint(s)#

GET/v2/cftc/cot/{symbol}Weekly CFTC Commitments of Traders positioning (keyless)

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max weekly observations per page; omitted (with cursor also omitted) = every observation as a bare array
symbol required
string (path)

Responses

200OK

application/json

{
  "cftcContractMarketCode": "string",
  "marketAndExchangeName": "string",
  "observations": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "managedMoneyLong": 0,
          "managedMoneyShort": 0,
          "managedMoneySpread": 0,
          "nonreportableLong": 0,
          "nonreportableShort": 0,
          "openInterest": 0,
          "otherReportableLong": 0,
          "otherReportableShort": 0,
          "otherReportableSpread": 0,
          "producerMerchantLong": 0,
          "producerMerchantShort": 0,
          "reportDate": "string",
          "swapDealerLong": 0,
          "swapDealerShort": 0,
          "swapDealerSpread": 0,
          "totalReportableLong": 0,
          "totalReportableShort": 0
        }
      }
    ],
    "nodes": [
      {
        "managedMoneyLong": 0,
        "managedMoneyShort": 0,
        "managedMoneySpread": 0,
        "nonreportableLong": 0,
        "nonreportableShort": 0,
        "openInterest": 0,
        "otherReportableLong": 0,
        "otherReportableShort": 0,
        "otherReportableSpread": 0,
        "producerMerchantLong": 0,
        "producerMerchantShort": 0,
        "reportDate": "string",
        "swapDealerLong": 0,
        "swapDealerShort": 0,
        "swapDealerSpread": 0,
        "totalReportableLong": 0,
        "totalReportableShort": 0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  },
  "symbol": "string"
}

GqlCommitmentsOfTraders

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Chart 1 endpoint(s)#

GET/v2/chart/{symbol}Get historical chart data

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
end optional
integer (query)
End date as Unix timestamp (seconds). Defaults to now when `start` is set.
events optional
boolean (query)
Include events (dividends, splits, capital gains) in response
fields optional
string (query)
Comma-separated list of fields to include in response
interval optional
Interval (query)
Candle interval (e.g. 1m, 5m, 1h, 1d; default: 1d)

Available values: 1m, 2m, 5m, 15m, 30m, 1h, 90m, 1d, 5d, 1wk, 1mo, 3mo

limit optional
integer (query)
Max candles per page; omitted (with cursor also omitted) = every matching candle as a bare array, unchanged from pre-pagination behavior
patterns optional
boolean (query)
Detect candlestick patterns and include per-candle signals in response. The `patterns` array aligns 1:1 with the `candles` array; `null` means no pattern was detected on that bar.
range optional
TimeRange (query)
Time range (e.g. 1d, 5d, 1mo, 1y, max; default: 1mo)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

start optional
integer (query)
Start date as Unix timestamp (seconds). When provided together with `end`, overrides `range` and uses absolute date boundaries.
symbol required
string (path)

Responses

200OK

application/json

{
  "candles": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "adjClose": 0.0,
          "close": 0.0,
          "high": 0.0,
          "low": 0.0,
          "open": 0.0,
          "timestamp": 0,
          "volume": 0
        }
      }
    ],
    "nodes": [
      {
        "adjClose": 0.0,
        "close": 0.0,
        "high": 0.0,
        "low": 0.0,
        "open": 0.0,
        "timestamp": 0,
        "volume": 0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  },
  "interval": "string",
  "meta": {
    "chartPreviousClose": 0.0,
    "currency": "string",
    "dataGranularity": "string",
    "exchangeName": "string",
    "exchangeTimezoneName": "string",
    "fiftyTwoWeekHigh": 0.0,
    "fiftyTwoWeekLow": 0.0,
    "firstTradeDate": 0,
    "fullExchangeName": "string",
    "gmtOffset": 0,
    "hasPrePostMarketData": true,
    "instrumentType": "string",
    "previousClose": 0.0,
    "priceHint": 0,
    "range": "string",
    "regularMarketDayHigh": 0.0,
    "regularMarketDayLow": 0.0,
    "regularMarketPrice": 0.0,
    "regularMarketTime": 0,
    "regularMarketVolume": 0,
    "symbol": "string",
    "timezone": "string"
  },
  "range": "string",
  "symbol": "string"
}

GqlChart

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Charts 1 endpoint(s)#

GET/v2/chartsGet batch historical chart data

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
interval optional
Interval (query)
Candle interval (default: 1d)

Available values: 1m, 2m, 5m, 15m, 30m, 1h, 90m, 1d, 5d, 1wk, 1mo, 3mo

limit optional
integer (query)
Max symbols per page; omitted (with cursor also omitted) = every requested symbol's chart as a bare array, unchanged from pre-pagination behavior
patterns optional
boolean (query)
Detect candlestick patterns and include per-candle signals in response.
range optional
TimeRange (query)
Time range (default: 1mo)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbols required
string (query)
Comma-separated symbols (required)

Responses

200OK

application/json

{
  "charts": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "chart": {
            "candles": {
              "edges": [
                {
                  "cursor": "string",
                  "node": {
                    "adjClose": 0.0,
                    "close": 0.0,
                    "high": 0.0,
                    "low": 0.0,
                    "open": 0.0,
                    "timestamp": 0,
                    "volume": 0
                  }
                }
              ],
              "nodes": [
                {
                  "adjClose": 0.0,
                  "close": 0.0,
                  "high": 0.0,
                  "low": 0.0,
                  "open": 0.0,
                  "timestamp": 0,
                  "volume": 0
                }
              ],
              "pageInfo": {
                "endCursor": "string",
                "hasNextPage": true,
                "hasPreviousPage": true,
                "startCursor": "string"
              }
            },
            "interval": "string",
            "meta": {
              "chartPreviousClose": 0.0,
              "currency": "string",
              "dataGranularity": "string",
              "exchangeName": "string",
              "exchangeTimezoneName": "string",
              "fiftyTwoWeekHigh": 0.0,
              "fiftyTwoWeekLow": 0.0,
              "firstTradeDate": 0,
              "fullExchangeName": "string",
              "gmtOffset": 0,
              "hasPrePostMarketData": true,
              "instrumentType": "string",
              "previousClose": 0.0,
              "priceHint": 0,
              "range": "string",
              "regularMarketDayHigh": 0.0,
              "regularMarketDayLow": 0.0,
              "regularMarketPrice": 0.0,
              "regularMarketTime": 0,
              "regularMarketVolume": 0,
              "symbol": "string",
              "timezone": "string"
            },
            "range": "string",
            "symbol": "string"
          },
          "symbol": "string"
        }
      }
    ],
    "nodes": [
      {
        "chart": {
          "candles": {
            "edges": [
              {
                "cursor": "string",
                "node": {
                  "adjClose": 0.0,
                  "close": 0.0,
                  "high": 0.0,
                  "low": 0.0,
                  "open": 0.0,
                  "timestamp": 0,
                  "volume": 0
                }
              }
            ],
            "nodes": [
              {
                "adjClose": 0.0,
                "close": 0.0,
                "high": 0.0,
                "low": 0.0,
                "open": 0.0,
                "timestamp": 0,
                "volume": 0
              }
            ],
            "pageInfo": {
              "endCursor": "string",
              "hasNextPage": true,
              "hasPreviousPage": true,
              "startCursor": "string"
            }
          },
          "interval": "string",
          "meta": {
            "chartPreviousClose": 0.0,
            "currency": "string",
            "dataGranularity": "string",
            "exchangeName": "string",
            "exchangeTimezoneName": "string",
            "fiftyTwoWeekHigh": 0.0,
            "fiftyTwoWeekLow": 0.0,
            "firstTradeDate": 0,
            "fullExchangeName": "string",
            "gmtOffset": 0,
            "hasPrePostMarketData": true,
            "instrumentType": "string",
            "previousClose": 0.0,
            "priceHint": 0,
            "range": "string",
            "regularMarketDayHigh": 0.0,
            "regularMarketDayLow": 0.0,
            "regularMarketPrice": 0.0,
            "regularMarketTime": 0,
            "regularMarketVolume": 0,
            "symbol": "string",
            "timezone": "string"
          },
          "range": "string",
          "symbol": "string"
        },
        "symbol": "string"
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  },
  "errors": [
    {
      "message": "string",
      "symbol": "string"
    }
  ]
}

GqlChartsBatch

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Commodities 1 endpoint(s)#

GET/v2/commodities/{symbol}Get a commodity's current quote

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "change": 0.0,
  "changePercent": 0.0,
  "name": "string",
  "price": 0.0,
  "symbol": "string",
  "timestamp": 0,
  "unit": "string"
}

GqlCommodityQuote

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Company profile 1 endpoint(s)#

GET/v2/company-profile/{symbol}Get company profile

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "assetType": "string",
  "country": "string",
  "currency": "string",
  "description": "string",
  "exchange": "string",
  "industry": "string",
  "marketCapitalization": 0.0,
  "name": "string",
  "sector": "string",
  "symbol": "string"
}

GqlCompanyProfile

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Crypto 8 endpoint(s)#

GET/v2/crypto/coinsTop coins by market cap

Parameters

namedescriptionvalue
count optional
integer (query)
Number of coins to return (default: 50)
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max coins per page; omitted (with cursor also omitted) = every fetched coin (up to `count`) as a bare array, unchanged from pre-pagination behavior
vsCurrency optional
string (query)
Currency to compare against (default: "usd")

Responses

200OK

application/json

[
  {
    "circulatingSupply": 0.0,
    "currentPrice": 0.0,
    "id": "string",
    "image": "string",
    "marketCap": 0.0,
    "marketCapRank": 0,
    "name": "string",
    "priceChangePercentage24H": 0.0,
    "symbol": "string",
    "totalVolume": 0.0
  }
]

GqlCoinQuote[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/coins/{id}Single coin by CoinGecko ID

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
vsCurrency optional
string (query)
Currency to compare against (default: "usd")
id required
string (path)

Responses

200OK

application/json

{
  "circulatingSupply": 0.0,
  "currentPrice": 0.0,
  "id": "string",
  "image": "string",
  "marketCap": 0.0,
  "marketCapRank": 0,
  "name": "string",
  "priceChangePercentage24H": 0.0,
  "symbol": "string",
  "totalVolume": 0.0
}

GqlCoinQuote

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/coins/{id}/tvlA DeFi protocol's total value locked (DefiLlama, keyless).

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
id required
string (path)

Responses

200OK

application/json

{
  "chains": [
    "string"
  ],
  "change1DPercent": 0.0,
  "change7DPercent": 0.0,
  "marketCap": 0.0,
  "name": "string",
  "slug": "string",
  "symbol": "string",
  "tvl": 0.0,
  "tvlByChain": [
    {
      "chain": "string",
      "tvl": 0.0
    }
  ],
  "url": "string"
}

GqlProtocolTvl

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/coins/{id}/tvl-historyA protocol's TVL history, oldest first.

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page; omitted (with cursor also omitted) = every fetched entry as a bare array, unchanged from pre-pagination behavior
id required
string (path)

Responses

200OK

application/json

[
  {
    "timestamp": 0,
    "tvl": 0.0
  }
]

GqlTvlPoint[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/globalAggregate global cryptocurrency market statistics

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response

Responses

200OK

application/json

{
  "activeCryptocurrencies": 0,
  "btcDominance": 0.0,
  "ethDominance": 0.0,
  "marketCapChangePercentage24HUsd": 0.0,
  "markets": 0,
  "totalMarketCapUsd": 0.0,
  "totalVolumeUsd": 0.0
}

GqlGlobalCryptoStats

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/newsMarket-wide crypto news

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Maximum number of articles to fetch (default: 20)
pageCursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
pageLimit optional
integer (query)
Max articles per page; omitted (with pageCursor also omitted) = every fetched article (up to `limit`) as a bare array, unchanged from pre-pagination behavior

Responses

200OK

application/json

[
  {
    "img": "string",
    "link": "string",
    "sentiment": {
      "confidence": 0.0,
      "label": "string",
      "score": 0.0
    },
    "source": "string",
    "time": "string",
    "title": "string"
  }
]

GqlNews[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/searchSearch CoinGecko's coin universe by free-text query

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max matches per page; omitted (with cursor also omitted) = bare array
limitResults optional
integer (query)
Max matches to fetch (default: 25)
query required
string (query)
Free-text query (coin name, symbol, or CoinGecko id)

Responses

200OK

application/json

[
  {
    "active": true,
    "assetType": "string",
    "currency": "string",
    "exchange": "string",
    "id": "string",
    "image": "string",
    "marketCapRank": 0,
    "name": "string",
    "symbol": "string",
    "thumbnail": "string"
  }
]

GqlSymbolMatch[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/crypto/trendingCoins trending on CoinGecko over the last 24h

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max coins per page; omitted (with cursor also omitted) = bare array

Responses

200OK

application/json

[
  {
    "id": "string",
    "marketCapRank": 0,
    "name": "string",
    "priceBtc": 0.0,
    "score": 0,
    "symbol": "string"
  }
]

GqlTrendingCoin[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Currencies 1 endpoint(s)#

GET/v2/currenciesGet available currencies

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response

Responses

200OK

application/json

[
  {
    "localLongName": "string",
    "longName": "string",
    "shortName": "string",
    "symbol": "string"
  }
]

GqlCurrency[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Dividends 2 endpoint(s)#

GET/v2/dividendsGet batch dividend history

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max symbols per page; omitted (with cursor also omitted) = every requested symbol's dividend history as a bare array, unchanged from pre-pagination behavior
range optional
TimeRange (query)
Time range (default: max)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbols required
string (query)
Comma-separated symbols (required)

Responses

200OK

application/json

{
  "dividends": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "dividends": [
            {
              "amount": 0.0,
              "timestamp": 0
            }
          ],
          "symbol": "string"
        }
      }
    ],
    "nodes": [
      {
        "dividends": [
          {
            "amount": 0.0,
            "timestamp": 0
          }
        ],
        "symbol": "string"
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  },
  "errors": [
    {
      "message": "string",
      "symbol": "string"
    }
  ]
}

GqlDividendsBatch

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/dividends/{symbol}Get dividend history and analytics

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max dividend payments per page; omitted (with cursor also omitted) = every matching payment as a bare array, unchanged from pre-pagination behavior
range optional
TimeRange (query)
Time range (default: max)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbol required
string (path)

Responses

200OK

application/json

{
  "analytics": {
    "averagePayment": 0.0,
    "cagr": 0.0,
    "firstPayment": {
      "amount": 0.0,
      "timestamp": 0
    },
    "lastPayment": {
      "amount": 0.0,
      "timestamp": 0
    },
    "paymentCount": 0,
    "totalPaid": 0.0
  },
  "dividends": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "amount": 0.0,
          "timestamp": 0
        }
      }
    ],
    "nodes": [
      {
        "amount": 0.0,
        "timestamp": 0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  }
}

GqlDividends

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Earnings surprises 1 endpoint(s)#

GET/v2/earnings-surprises/{symbol}Get earnings-surprise history

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "surprises": [
    {
      "actualEps": 0.0,
      "date": "string",
      "estimatedEps": 0.0,
      "surprise": 0.0,
      "surprisePercent": 0.0,
      "symbol": "string"
    }
  ]
}

GqlEarningsSurpriseHistory

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Earnings transcript 1 endpoint(s)#

GET/v2/earnings-transcript/{symbol}Get earnings call transcript

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
quarter optional
Quarter (query)
Fiscal quarter (Q1, Q2, Q3, Q4). Required alongside `year` for providers with no "latest" shortcut (Alpha Vantage); Yahoo defaults to latest when omitted.

Available values: Q1, Q2, Q3, Q4

year optional
integer (query)
Fiscal year. See `quarter`.
symbol required
string (path)

Responses

200OK

application/json

{
  "date": "string",
  "quarter": "string",
  "symbol": "string",
  "text": "string",
  "year": 0
}

GqlEarningsTranscript

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Edgar 4 endpoint(s)#

GET/v2/edgar/cik/{symbol}Resolve ticker to CIK

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "cik": 0,
  "symbol": "string"
}

GqlEdgarCik

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/edgar/facts/{symbol}Get XBRL financial data

Parameters

namedescriptionvalue
concepts optional
string (query)
Comma-separated XBRL concept names to filter to; omitted = curated defaults
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max data points per concept per page; omitted (with cursor also omitted) = every matching data point as a bare array, unchanged from pre-pagination behavior. Applied uniformly across every returned concept.
taxonomy optional
string (query)
XBRL taxonomy (default: "us-gaap"); also try "ifrs-full" or "dei"
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "concept": "string",
    "dataPoints": {
      "edges": [
        {
          "cursor": "string",
          "node": {
            "accn": "string",
            "end": "string",
            "filed": "string",
            "form": "string",
            "fp": "string",
            "frame": "string",
            "fy": 0,
            "start": "string",
            "val": 0.0
          }
        }
      ],
      "nodes": [
        {
          "accn": "string",
          "end": "string",
          "filed": "string",
          "form": "string",
          "fp": "string",
          "frame": "string",
          "fy": 0,
          "start": "string",
          "val": 0.0
        }
      ],
      "pageInfo": {
        "endCursor": "string",
        "hasNextPage": true,
        "hasPreviousPage": true,
        "startCursor": "string"
      }
    },
    "description": "string",
    "label": "string",
    "taxonomy": "string",
    "unit": "string"
  }
]

GqlFactConcept[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/edgar/searchSearch SEC filings

Parameters

namedescriptionvalue
endDate optional
string (query)
End date in YYYY-MM-DD format
fields optional
string (query)
Comma-separated list of fields to include in response
forms optional
string (query)
Comma-separated form types (e.g., "10-K,10-Q")
from optional
integer (query)
Pagination offset (default: 0)
q required
string (query)
Search query string (required)
size optional
integer (query)
Page size (default: 100, max: 100)
startDate optional
string (query)
Start date in YYYY-MM-DD format

Responses

200OK

application/json

{
  "hits": [
    {
      "adsh": "string",
      "ciks": [
        "string"
      ],
      "displayNames": [
        "string"
      ],
      "fileDate": "string",
      "form": "string"
    }
  ],
  "pageInfo": {
    "endCursor": "string",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "string"
  },
  "totalHits": 0
}

GqlEdgarSearchResults

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/edgar/submissions/{symbol}Get SEC filing history

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max filings per page; omitted (with cursor also omitted) = every matching filing as a bare array, unchanged from pre-pagination behavior
symbol required
string (path)

Responses

200OK

application/json

{
  "category": "string",
  "cik": "string",
  "ein": "string",
  "entityType": "string",
  "exchanges": [
    "string"
  ],
  "filings": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "accessionNumber": "string",
          "filingDate": "string",
          "form": "string",
          "primaryDocDescription": "string",
          "primaryDocument": "string",
          "reportDate": "string",
          "size": 0
        }
      }
    ],
    "nodes": [
      {
        "accessionNumber": "string",
        "filingDate": "string",
        "form": "string",
        "primaryDocDescription": "string",
        "primaryDocument": "string",
        "reportDate": "string",
        "size": 0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  },
  "fiscalYearEnd": "string",
  "insiderTransactionForIssuerExists": 0,
  "insiderTransactionForOwnerExists": 0,
  "name": "string",
  "sic": "string",
  "sicDescription": "string",
  "stateOfIncorporation": "string",
  "tickers": [
    "string"
  ],
  "website": "string"
}

GqlEdgarSubmissions

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Etf profile 1 endpoint(s)#

GET/v2/etf-profile/{symbol}Get ETF profile and holdings

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "assetType": "string",
  "countryWeightings": [
    {
      "country": "string",
      "weight": 0.0
    }
  ],
  "dividendYield": 0.0,
  "holdings": [
    {
      "description": "string",
      "symbol": "string",
      "weight": 0.0
    }
  ],
  "inceptionDate": "string",
  "name": "string",
  "netAssets": 0.0,
  "netExpenseRatio": 0.0,
  "portfolioTurnover": 0.0,
  "sectorWeightings": [
    {
      "sector": "string",
      "weight": 0.0
    }
  ],
  "symbol": "string"
}

GqlEtfProfile

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Exchanges 1 endpoint(s)#

GET/v2/exchangesGet supported exchanges

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response

Responses

200OK

application/json

[
  {
    "country": "string",
    "dataProvider": "string",
    "delay": "string",
    "market": "string",
    "suffix": "string"
  }
]

GqlExchange[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Executive compensation 1 endpoint(s)#

GET/v2/executive-compensation/{symbol}Disclosed executive compensation by year.

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page; omitted (with cursor also omitted) = every fetched entry as a bare array, unchanged from pre-pagination behavior
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "bonus": 0.0,
    "cik": "string",
    "companyName": "string",
    "filingDate": "string",
    "incentivePlanCompensation": 0.0,
    "nameAndPosition": "string",
    "optionAward": 0.0,
    "otherCompensation": 0.0,
    "salary": 0.0,
    "stockAward": 0.0,
    "symbol": "string",
    "total": 0.0,
    "url": "string",
    "year": 0
  }
]

GqlExecutiveCompensation[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Fear and greed 1 endpoint(s)#

GET/v2/fear-and-greedFear & Greed Index

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response

Responses

200OK

application/json

{
  "classification": "string",
  "timestamp": 0,
  "value": 0
}

GqlFearAndGreed

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Feeds 1 endpoint(s)#

GET/v2/feedsRSS/Atom news feeds

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
formType optional
string (query)
SEC form type for sec-filings source (e.g., "10-K", "8-K", default: "10-K")
limit optional
integer (query)
Max entries to return; omitted (with cursor also omitted) = every matching entry as a bare array, unchanged from pre-pagination behavior
sources optional
string (query)
Comma-separated source slugs (default: federal-reserve, sec, marketwatch, bloomberg)

Responses

200OK

application/json

[
  {
    "published": "string",
    "source": "string",
    "summary": "string",
    "title": "string",
    "url": "string"
  }
]

GqlFeedEntry[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Filings 4 endpoint(s)#

GET/v2/filings/{symbol}/congressional-tradesCongressional trading disclosures for a symbol

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page; omitted (with cursor also omitted) = every fetched entry as a bare array, unchanged from pre-pagination behavior
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "amount": "string",
    "assetDescription": "string",
    "disclosureDate": "string",
    "district": "string",
    "firstName": "string",
    "lastName": "string",
    "link": "string",
    "office": "string",
    "symbol": "string",
    "tradeType": "string",
    "transactionDate": "string"
  }
]

GqlCongressionalTrade[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/filings/{symbol}/fails-to-deliverFails-to-deliver records for a symbol

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page; omitted (with cursor also omitted) = every fetched entry as a bare array, unchanged from pre-pagination behavior
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "date": "string",
    "description": "string",
    "name": "string",
    "price": 0.0,
    "quantity": 0.0,
    "symbol": "string"
  }
]

GqlFailToDeliver[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/filings/{symbol}/risk-factorsGet risk factors extracted from SEC filings

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "category": "string",
    "filingDate": "string",
    "text": "string",
    "title": "string"
  }
]

GqlRiskFactor[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/filings/{symbol}/sectionsGet sectioned text of one SEC filing

Parameters

namedescriptionvalue
accessionNumber required
string (query)
SEC accession number, e.g. "0000320193-24-000123" (required)
fields optional
string (query)
Comma-separated list of fields to include in response
form required
FilingSectionFormParam (query)
Which filing form to fetch sectioned text for

Available values: ten-k, eight-k

symbol required
string (path)

Responses

200OK

application/json

[
  {
    "content": "string",
    "section": "string"
  }
]

GqlFilingSection[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Financials 2 endpoint(s)#

GET/v2/financialsGet batch financial statements

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
frequency optional
Frequency (query)
Frequency: annual or quarterly (default: annual)

Available values: annual, quarterly

metrics optional
string (query)
Comma-separated list of metric names to include in the statement (e.g. "TotalRevenue,NetIncome")
statement required
StatementType (query)
Statement type (required): income, balance, cashflow

Available values: income, balance, cashflow

symbols required
string (query)
Comma-separated symbols (required)

Responses

200OK

application/json

{
  "errors": [
    {
      "message": "string",
      "symbol": "string"
    }
  ],
  "financials": [
    {
      "statement": [
        {
          "metric": "string",
          "values": [
            {
              "date": "string",
              "value": 0.0
            }
          ]
        }
      ],
      "symbol": "string"
    }
  ]
}

GqlFinancialsBatch

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/financials/{symbol}/{statement}Get financial statements

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
frequency optional
Frequency (query)
Frequency: annual or quarterly (default: annual)

Available values: annual, quarterly

metrics optional
string (query)
Comma-separated list of metric names to include in the statement (e.g. "TotalRevenue,NetIncome")
symbol required
string (path)
statement required
StatementType (path)
Statement types for financial data

Available values: income, balance, cashflow

Responses

200OK

application/json

[
  {
    "metric": "string",
    "values": [
      {
        "date": "string",
        "value": 0.0
      }
    ]
  }
]

GqlFinancialLineItem[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Forex 2 endpoint(s)#

GET/v2/forex/newsMarket-wide forex news

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Maximum number of articles to fetch (default: 20)
pageCursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
pageLimit optional
integer (query)
Max articles per page; omitted (with pageCursor also omitted) = every fetched article (up to `limit`) as a bare array, unchanged from pre-pagination behavior

Responses

200OK

application/json

[
  {
    "img": "string",
    "link": "string",
    "sentiment": {
      "confidence": 0.0,
      "label": "string",
      "score": 0.0
    },
    "source": "string",
    "time": "string",
    "title": "string"
  }
]

GqlNews[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/forex/{from}/{to}Get a currency pair's current exchange rate

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
from required
string (path)
to required
string (path)

Responses

200OK

application/json

{
  "ask": 0.0,
  "baseCurrency": "string",
  "bid": 0.0,
  "change": 0.0,
  "changePercent": 0.0,
  "price": 0.0,
  "quoteCurrency": "string",
  "symbol": "string",
  "timestamp": 0
}

GqlForexQuote

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Fred 2 endpoint(s)#

GET/v2/fred/series/{id}FRED time series

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max observations per page; omitted (with cursor also omitted) = every matching observation as a bare array, unchanged from pre-pagination behavior
id required
string (path)

Responses

200OK

application/json

{
  "id": "string",
  "observations": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "date": "string",
          "value": 0.0
        }
      }
    ],
    "nodes": [
      {
        "date": "string",
        "value": 0.0
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  }
}

GqlMacroSeries

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/fred/treasury-yieldsUS Treasury yield curve

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max rows per page; omitted (with cursor also omitted) = every matching row as a bare array, unchanged from pre-pagination behavior
year optional
integer (query)
Calendar year (default: current year)

Responses

200OK

application/json

[
  {
    "date": "string",
    "y1": 0.0,
    "y10": 0.0,
    "y1M": 0.0,
    "y2": 0.0,
    "y20": 0.0,
    "y2M": 0.0,
    "y3": 0.0,
    "y30": 0.0,
    "y3M": 0.0,
    "y4M": 0.0,
    "y5": 0.0,
    "y6M": 0.0,
    "y7": 0.0
  }
]

GqlTreasuryYield[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Futures 1 endpoint(s)#

GET/v2/futures/{symbol}Get a futures contract's current quote

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "change": 0.0,
  "changePercent": 0.0,
  "exchange": "string",
  "expirationDate": "string",
  "name": "string",
  "openInterest": 0,
  "price": 0.0,
  "symbol": "string",
  "timestamp": 0,
  "underlying": "string",
  "volume": 0
}

GqlFuturesQuote

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Gdelt 1 endpoint(s)#

GET/v2/gdelt/news/{symbol}Worldwide news mentioning a symbol (GDELT, keyless)

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max articles per page; omitted (with cursor also omitted) = bare array
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "img": "string",
    "link": "string",
    "sentiment": {
      "confidence": 0.0,
      "label": "string",
      "score": 0.0
    },
    "source": "string",
    "time": "string",
    "title": "string"
  }
]

GqlNews[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Grading actions 1 endpoint(s)#

GET/v2/grading-actions/{symbol}Provider-routed analyst upgrades and downgrades.

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page; omitted (with cursor also omitted) = every fetched entry as a bare array, unchanged from pre-pagination behavior
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "date": "string",
    "gradingCompany": "string",
    "newGrade": "string",
    "previousGrade": "string",
    "symbol": "string"
  }
]

GqlGradingAction[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Health 1 endpoint(s)#

GET/v2/healthHealth check

Parameters

Responses

200OK

application/json

{
  "notices": [
    "string"
  ],
  "status": "string",
  "timestamp": "string",
  "version": "string"
}

HealthResponse

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Holders 1 endpoint(s)#

GET/v2/holders/{symbol}/{type}Get holder data

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page for holder types with a list (institutional, mutualfund, insider-transactions, insider-roster); omitted (with cursor also omitted) = every matching entry as a bare array, unchanged from pre-pagination behavior. No-op for major/insider-purchases (no list).
symbol required
string (path)
type required
HolderType (path)
Holder type for `GET /v2/holders/{symbol}/{type}`.

Available values: major, institutional, mutualfund, insider-transactions, insider-purchases, insider-roster

Responses

200OK

application/json

{}

HoldersResponse

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Hours 1 endpoint(s)#

GET/v2/hoursGet market hours

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
region optional
Region (query)
Region code (e.g., "US", "JP", "GB"). Defaults to US if not specified.

Available values: AR, AU, BR, CA, CN, DK, FI, FR, DE, GR, HK, IN, IL, IT, JP, KR, MY, MX, NZ, NO, PT, QA, RU, SG, ES, SE, TW, TH, TR, GB, US, VN

Responses

200OK

application/json

{
  "markets": [
    {
      "close": "string",
      "dst": true,
      "gmtOffset": 0,
      "id": "string",
      "message": "string",
      "name": "string",
      "open": "string",
      "status": "string",
      "time": "string",
      "timezone": "string",
      "timezoneShort": "string"
    }
  ]
}

GqlMarketHours

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Index constituents 1 endpoint(s)#

GET/v2/index-constituents/{symbol}Get an index's current constituent list

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "cik": "string",
    "dateFirstAdded": "string",
    "founded": "string",
    "headquarters": "string",
    "name": "string",
    "sector": "string",
    "subSector": "string",
    "symbol": "string"
  }
]

GqlIndexConstituent[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Indicators 2 endpoint(s)#

GET/v2/indicatorsGet batch technical indicators

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
interval optional
Interval (query)
Candle interval (default: 1d)

Available values: 1m, 2m, 5m, 15m, 30m, 1h, 90m, 1d, 5d, 1wk, 1mo, 3mo

limit optional
integer (query)
Max symbols per page; omitted (with cursor also omitted) = every requested symbol's indicators as a bare array, unchanged from pre-pagination behavior
range optional
TimeRange (query)
Time range (default: 1mo)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbols required
string (query)
Comma-separated symbols (required)

Responses

200OK

application/json

{
  "errors": [
    {
      "message": "string",
      "symbol": "string"
    }
  ],
  "indicators": {
    "edges": [
      {
        "cursor": "string",
        "node": {
          "indicators": {
            "accumulationDistribution": 0.0,
            "adx14": 0.0,
            "alma9": 0.0,
            "aroon": {
              "aroonDown": 0.0,
              "aroonUp": 0.0
            },
            "atr14": 0.0,
            "awesomeOscillator": 0.0,
            "balanceOfPower": 0.0,
            "bollingerBands": {
              "lower": 0.0,
              "middle": 0.0,
              "upper": 0.0
            },
            "bullBearPower": {
              "bearPower": 0.0,
              "bullPower": 0.0
            },
            "cci20": 0.0,
            "chaikinOscillator": 0.0,
            "choppinessIndex14": 0.0,
            "cmf20": 0.0,
            "cmo14": 0.0,
            "coppockCurve": 0.0,
            "dema20": 0.0,
            "donchianChannels": {
              "lower": 0.0,
              "middle": 0.0,
              "upper": 0.0
            },
            "elderRayIndex": {
              "bearPower": 0.0,
              "bullPower": 0.0
            },
            "ema10": 0.0,
            "ema100": 0.0,
            "ema20": 0.0,
            "ema200": 0.0,
            "ema50": 0.0,
            "fibonacciPivotPoints": {
              "pivot": 0.0,
              "r1": 0.0,
              "r2": 0.0,
              "r3": 0.0,
              "s1": 0.0,
              "s2": 0.0,
              "s3": 0.0
            },
            "fibonacciRetracement50": {
              "level236": 0.0,
              "level382": 0.0,
              "level50": 0.0,
              "level618": 0.0,
              "level786": 0.0,
              "swingHigh": 0.0,
              "swingLow": 0.0
            },
            "heikinAshi": {
              "adjClose": 0.0,
              "close": 0.0,
              "high": 0.0,
              "low": 0.0,
              "open": 0.0,
              "timestamp": 0,
              "volume": 0
            },
            "hma20": 0.0,
            "ichimoku": {
              "baseLine": 0.0,
              "conversionLine": 0.0,
              "laggingSpan": 0.0,
              "leadingSpanA": 0.0,
              "leadingSpanB": 0.0
            },
            "keltnerChannels": {
              "lower": 0.0,
              "middle": 0.0,
              "upper": 0.0
            },
            "macd": {
              "histogram": 0.0,
              "macd": 0.0,
              "signal": 0.0
            },
            "mcginleyDynamic20": 0.0,
            "mfi14": 0.0,
            "momentum10": 0.0,
            "obv": 0.0,
            "parabolicSar": 0.0,
            "pivotPoints": {
              "pivot": 0.0,
              "r1": 0.0,
              "r2": 0.0,
              "r3": 0.0,
              "s1": 0.0,
              "s2": 0.0,
              "s3": 0.0
            },
            "roc12": 0.0,
            "rsi14": 0.0,
            "sma10": 0.0,
            "sma100": 0.0,
            "sma20": 0.0,
            "sma200": 0.0,
            "sma50": 0.0,
            "stochastic": {
              "d": 0.0,
              "k": 0.0
            },
            "stochasticRsi": {
              "d": 0.0,
              "k": 0.0
            },
            "supertrend": {
              "trend": "string",
              "value": 0.0
            },
            "tema20": 0.0,
            "trueRange": 0.0,
            "vwap": 0.0,
            "vwma20": 0.0,
            "williamsR14": 0.0,
            "wma10": 0.0,
            "wma100": 0.0,
            "wma20": 0.0,
            "wma200": 0.0,
            "wma50": 0.0,
            "zigzagLastPivot": {
              "index": 0,
              "isHigh": true,
              "price": 0.0
            }
          },
          "symbol": "string"
        }
      }
    ],
    "nodes": [
      {
        "indicators": {
          "accumulationDistribution": 0.0,
          "adx14": 0.0,
          "alma9": 0.0,
          "aroon": {
            "aroonDown": 0.0,
            "aroonUp": 0.0
          },
          "atr14": 0.0,
          "awesomeOscillator": 0.0,
          "balanceOfPower": 0.0,
          "bollingerBands": {
            "lower": 0.0,
            "middle": 0.0,
            "upper": 0.0
          },
          "bullBearPower": {
            "bearPower": 0.0,
            "bullPower": 0.0
          },
          "cci20": 0.0,
          "chaikinOscillator": 0.0,
          "choppinessIndex14": 0.0,
          "cmf20": 0.0,
          "cmo14": 0.0,
          "coppockCurve": 0.0,
          "dema20": 0.0,
          "donchianChannels": {
            "lower": 0.0,
            "middle": 0.0,
            "upper": 0.0
          },
          "elderRayIndex": {
            "bearPower": 0.0,
            "bullPower": 0.0
          },
          "ema10": 0.0,
          "ema100": 0.0,
          "ema20": 0.0,
          "ema200": 0.0,
          "ema50": 0.0,
          "fibonacciPivotPoints": {
            "pivot": 0.0,
            "r1": 0.0,
            "r2": 0.0,
            "r3": 0.0,
            "s1": 0.0,
            "s2": 0.0,
            "s3": 0.0
          },
          "fibonacciRetracement50": {
            "level236": 0.0,
            "level382": 0.0,
            "level50": 0.0,
            "level618": 0.0,
            "level786": 0.0,
            "swingHigh": 0.0,
            "swingLow": 0.0
          },
          "heikinAshi": {
            "adjClose": 0.0,
            "close": 0.0,
            "high": 0.0,
            "low": 0.0,
            "open": 0.0,
            "timestamp": 0,
            "volume": 0
          },
          "hma20": 0.0,
          "ichimoku": {
            "baseLine": 0.0,
            "conversionLine": 0.0,
            "laggingSpan": 0.0,
            "leadingSpanA": 0.0,
            "leadingSpanB": 0.0
          },
          "keltnerChannels": {
            "lower": 0.0,
            "middle": 0.0,
            "upper": 0.0
          },
          "macd": {
            "histogram": 0.0,
            "macd": 0.0,
            "signal": 0.0
          },
          "mcginleyDynamic20": 0.0,
          "mfi14": 0.0,
          "momentum10": 0.0,
          "obv": 0.0,
          "parabolicSar": 0.0,
          "pivotPoints": {
            "pivot": 0.0,
            "r1": 0.0,
            "r2": 0.0,
            "r3": 0.0,
            "s1": 0.0,
            "s2": 0.0,
            "s3": 0.0
          },
          "roc12": 0.0,
          "rsi14": 0.0,
          "sma10": 0.0,
          "sma100": 0.0,
          "sma20": 0.0,
          "sma200": 0.0,
          "sma50": 0.0,
          "stochastic": {
            "d": 0.0,
            "k": 0.0
          },
          "stochasticRsi": {
            "d": 0.0,
            "k": 0.0
          },
          "supertrend": {
            "trend": "string",
            "value": 0.0
          },
          "tema20": 0.0,
          "trueRange": 0.0,
          "vwap": 0.0,
          "vwma20": 0.0,
          "williamsR14": 0.0,
          "wma10": 0.0,
          "wma100": 0.0,
          "wma20": 0.0,
          "wma200": 0.0,
          "wma50": 0.0,
          "zigzagLastPivot": {
            "index": 0,
            "isHigh": true,
            "price": 0.0
          }
        },
        "symbol": "string"
      }
    ],
    "pageInfo": {
      "endCursor": "string",
      "hasNextPage": true,
      "hasPreviousPage": true,
      "startCursor": "string"
    }
  }
}

GqlIndicatorsBatch

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/indicators/{symbol}Get technical indicators

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
interval optional
Interval (query)
Candle interval (default: 1d)

Available values: 1m, 2m, 5m, 15m, 30m, 1h, 90m, 1d, 5d, 1wk, 1mo, 3mo

range optional
TimeRange (query)
Time range (default: 1mo)

Available values: 1d, 5d, 1mo, 3mo, 6mo, 1y, 2y, 5y, 10y, ytd, max

symbol required
string (path)

Responses

200OK

application/json

{
  "accumulationDistribution": 0.0,
  "adx14": 0.0,
  "alma9": 0.0,
  "aroon": {
    "aroonDown": 0.0,
    "aroonUp": 0.0
  },
  "atr14": 0.0,
  "awesomeOscillator": 0.0,
  "balanceOfPower": 0.0,
  "bollingerBands": {
    "lower": 0.0,
    "middle": 0.0,
    "upper": 0.0
  },
  "bullBearPower": {
    "bearPower": 0.0,
    "bullPower": 0.0
  },
  "cci20": 0.0,
  "chaikinOscillator": 0.0,
  "choppinessIndex14": 0.0,
  "cmf20": 0.0,
  "cmo14": 0.0,
  "coppockCurve": 0.0,
  "dema20": 0.0,
  "donchianChannels": {
    "lower": 0.0,
    "middle": 0.0,
    "upper": 0.0
  },
  "elderRayIndex": {
    "bearPower": 0.0,
    "bullPower": 0.0
  },
  "ema10": 0.0,
  "ema100": 0.0,
  "ema20": 0.0,
  "ema200": 0.0,
  "ema50": 0.0,
  "fibonacciPivotPoints": {
    "pivot": 0.0,
    "r1": 0.0,
    "r2": 0.0,
    "r3": 0.0,
    "s1": 0.0,
    "s2": 0.0,
    "s3": 0.0
  },
  "fibonacciRetracement50": {
    "level236": 0.0,
    "level382": 0.0,
    "level50": 0.0,
    "level618": 0.0,
    "level786": 0.0,
    "swingHigh": 0.0,
    "swingLow": 0.0
  },
  "heikinAshi": {
    "adjClose": 0.0,
    "close": 0.0,
    "high": 0.0,
    "low": 0.0,
    "open": 0.0,
    "timestamp": 0,
    "volume": 0
  },
  "hma20": 0.0,
  "ichimoku": {
    "baseLine": 0.0,
    "conversionLine": 0.0,
    "laggingSpan": 0.0,
    "leadingSpanA": 0.0,
    "leadingSpanB": 0.0
  },
  "keltnerChannels": {
    "lower": 0.0,
    "middle": 0.0,
    "upper": 0.0
  },
  "macd": {
    "histogram": 0.0,
    "macd": 0.0,
    "signal": 0.0
  },
  "mcginleyDynamic20": 0.0,
  "mfi14": 0.0,
  "momentum10": 0.0,
  "obv": 0.0,
  "parabolicSar": 0.0,
  "pivotPoints": {
    "pivot": 0.0,
    "r1": 0.0,
    "r2": 0.0,
    "r3": 0.0,
    "s1": 0.0,
    "s2": 0.0,
    "s3": 0.0
  },
  "roc12": 0.0,
  "rsi14": 0.0,
  "sma10": 0.0,
  "sma100": 0.0,
  "sma20": 0.0,
  "sma200": 0.0,
  "sma50": 0.0,
  "stochastic": {
    "d": 0.0,
    "k": 0.0
  },
  "stochasticRsi": {
    "d": 0.0,
    "k": 0.0
  },
  "supertrend": {
    "trend": "string",
    "value": 0.0
  },
  "tema20": 0.0,
  "trueRange": 0.0,
  "vwap": 0.0,
  "vwma20": 0.0,
  "williamsR14": 0.0,
  "wma10": 0.0,
  "wma100": 0.0,
  "wma20": 0.0,
  "wma200": 0.0,
  "wma50": 0.0,
  "zigzagLastPivot": {
    "index": 0,
    "isHigh": true,
    "price": 0.0
  }
}

GqlIndicatorsSummary

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Indices 2 endpoint(s)#

GET/v2/indicesGet world market indices

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
format optional
ValueFormat (query)
Value format: raw, pretty, or both (default: raw)

Available values: raw, pretty, both

region optional
indices_Region (query)
Region filter: americas, europe, asia-pacific, middle-east-africa, currencies

Available values: americas, europe, asia-pacific, middle-east-africa, currencies

Responses

200OK

application/json

[
  {
    "allTimeHigh": 0,
    "allTimeLow": 0,
    "ask": 0,
    "askSize": 0,
    "auditRisk": 0,
    "averageVolume": 0,
    "balanceSheetHistory": {},
    "balanceSheetHistoryQuarterly": {},
    "beta": 0,
    "bid": 0,
    "bidSize": 0,
    "boardRisk": 0,
    "bookValue": 0,
    "calendarEvents": {},
    "cashflowStatementHistory": {},
    "cashflowStatementHistoryQuarterly": {},
    "category": "string",
    "city": "string",
    "companyLogoUrl": "string",
    "companyOfficers": {},
    "compensationRisk": 0,
    "country": "string",
    "currency": "string",
    "currencySymbol": "string",
    "currentPrice": 0,
    "currentRatio": 0,
    "dateShortInterest": 0,
    "dayHigh": 0,
    "dayLow": 0,
    "debtToEquity": 0,
    "dividendRate": 0,
    "dividendYield": 0,
    "earnings": {},
    "earningsGrowth": 0,
    "earningsHistory": {},
    "earningsQuarterlyGrowth": 0,
    "earningsTrend": {},
    "ebitdaMargins": 0,
    "enterpriseToEbitda": 0,
    "enterpriseToRevenue": 0,
    "enterpriseValue": 0,
    "equityPerformance": {},
    "exDividendDate": 0,
    "exchange": "string",
    "exchangeDataDelayedBy": 0,
    "exchangeName": "string",
    "fiftyDayAverage": 0,
    "fiftyTwoWeekHigh": 0,
    "fiftyTwoWeekLow": 0,
    "financialCurrency": "string",
    "firstTradeDateEpochUtc": 0,
    "fiveYearAvgDividendYield": 0,
    "floatShares": 0,
    "forwardEps": 0,
    "forwardPe": 0,
    "freeCashflow": 0,
    "fromCurrency": "string",
    "fullTimeEmployees": 0,
    "fundFamily": "string",
    "fundOwnership": {},
    "fundPerformance": {},
    "fundProfile": {},
    "gmtOffSetMilliseconds": 0,
    "grossMargins": 0,
    "grossProfits": 0,
    "heldPercentInsiders": 0,
    "heldPercentInstitutions": 0,
    "impliedSharesOutstanding": 0,
    "incomeStatementHistory": {},
    "incomeStatementHistoryQuarterly": {},
    "indexTrend": {},
    "industry": "string",
    "industryDisp": "string",
    "industryKey": "string",
    "industryTrend": {},
    "insiderHolders": {},
    "insiderTransactions": {},
    "institutionOwnership": {},
    "irWebsite": "string",
    "lastDividendDate": 0,
    "lastDividendValue": 0,
    "lastFiscalYearEnd": 0,
    "lastSplitDate": 0,
    "lastSplitFactor": "string",
    "logoUrl": "string",
    "longBusinessSummary": "string",
    "longName": "string",
    "majorHoldersBreakdown": {},
    "marketCap": 0,
    "marketState": "string",
    "mostRecentQuarter": 0,
    "navPrice": 0,
    "netIncomeToCommon": 0,
    "netSharePurchaseActivity": {},
    "nextFiscalYearEnd": 0,
    "numberOfAnalystOpinions": 0,
    "open": 0,
    "operatingCashflow": 0,
    "operatingMargins": 0,
    "overallRisk": 0,
    "payoutRatio": 0,
    "phone": "string",
    "postMarketChange": 0,
    "postMarketChangePercent": 0,
    "postMarketPrice": 0,
    "postMarketTime": 0,
    "preMarketChange": 0,
    "preMarketChangePercent": 0,
    "preMarketPrice": 0,
    "preMarketTime": 0,
    "previousClose": 0,
    "priceHint": 0,
    "priceToBook": 0,
    "profitMargins": 0,
    "quickRatio": 0,
    "quoteType": "string",
    "recommendationKey": "string",
    "recommendationMean": 0,
    "recommendationTrend": {},
    "regularMarketChange": 0,
    "regularMarketChangePercent": 0,
    "regularMarketDayHigh": 0,
    "regularMarketDayLow": 0,
    "regularMarketOpen": 0,
    "regularMarketPreviousClose": 0,
    "regularMarketPrice": 0,
    "regularMarketTime": 0,
    "regularMarketVolume": 0,
    "returnOnAssets": 0,
    "returnOnEquity": 0,
    "revenueGrowth": 0,
    "revenuePerShare": 0,
    "sandP52WeekChange": 0,
    "secFilings": {},
    "sector": "string",
    "sectorDisp": "string",
    "sectorKey": "string",
    "sectorTrend": {},
    "shareholderRightsRisk": 0,
    "sharesOutstanding": 0,
    "sharesPercentSharesOut": 0,
    "sharesShort": 0,
    "sharesShortPriorMonth": 0,
    "shortName": "string",
    "shortPercentOfFloat": 0,
    "shortRatio": 0,
    "state": "string",
    "symbol": "string",
    "targetHighPrice": 0,
    "targetLowPrice": 0,
    "targetMeanPrice": 0,
    "targetMedianPrice": 0,
    "timeZoneFullName": "string",
    "timeZoneShortName": "string",
    "toCurrency": "string",
    "topHoldings": {},
    "totalAssets": 0,
    "totalDebt": 0,
    "totalRevenue": 0,
    "tradeable": true,
    "trailingAnnualDividendRate": 0,
    "trailingAnnualDividendYield": 0,
    "trailingEps": 0,
    "trailingPe": 0,
    "twoHundredDayAverage": 0,
    "underlyingSymbol": "string",
    "upgradeDowngradeHistory": {},
    "volume": 0,
    "website": "string",
    "week52Change": 0,
    "yieldValue": 0,
    "zip": "string"
  }
]

GqlQuote[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

GET/v2/indices/{symbol}/constituent-changesAdditions and removals from an index's constituent list.

Parameters

namedescriptionvalue
cursor optional
string (query)
Opaque continuation cursor from a previous response's `pageInfo.endCursor`
fields optional
string (query)
Comma-separated list of fields to include in response
limit optional
integer (query)
Max entries per page; omitted (with cursor also omitted) = every fetched entry as a bare array, unchanged from pre-pagination behavior
symbol required
string (path)

Responses

200OK

application/json

[
  {
    "addedSecurity": "string",
    "date": "string",
    "reason": "string",
    "removedSecurity": "string",
    "removedTicker": "string",
    "symbol": "string"
  }
]

GqlIndexConstituentChange[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Industries 1 endpoint(s)#

GET/v2/industries/{industry}Get industry data

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
format optional
ValueFormat (query)
Value format: raw, pretty, or both (default: raw)

Available values: raw, pretty, both

lang optional
string (query)
Target language for translated text fields (BCP 47, e.g. "ja", "zh-Hant"); falls back to the Accept-Language header
industry required
Industry (path)
Typed industry identifier for the industry endpoint and custom screener queries.

Available values: agricultural-inputs, aluminum, coal, copper, farm-products, forest-products, gold, lumber-wood-production, other-industrial-metals-mining, other-precious-metals-mining, silver, steel, thermal-coal, uranium, apparel-manufacturing, apparel-retail, auto-truck-dealerships, auto-manufacturers, auto-parts, beverages-brewers, beverages-non-alcoholic, beverages-wineries-distilleries, confectioners, department-stores, discount-stores, electronic-gaming-multimedia, food-distribution, footwear-accessories, furnishings-fixtures-appliances, gambling, grocery-stores, home-improvement-retail, household-personal-products, internet-retail, leisure, lodging, luxury-goods, packaged-foods, personal-services, residential-construction, resorts-casinos, restaurants, specialty-retail, textile-manufacturing, tobacco, travel-services, oil-gas-drilling, oil-gas-ep, oil-gas-equipment-services, oil-gas-integrated, oil-gas-midstream, oil-gas-refining-marketing, solar, asset-management, banks-diversified, banks-regional, capital-markets, credit-services, financial-data-stock-exchanges, insurance-brokers, insurance-diversified, insurance-life, insurance-property-casualty, insurance-reinsurance, insurance-specialty, mortgage-finance, shell-companies, biotechnology, diagnostics-research, drug-manufacturers-general, drug-manufacturers-specialty-generic, health-information-services, healthcare-plans, medical-care-facilities, medical-devices, medical-distribution, medical-instruments-supplies, pharmaceutical-retailers, aerospace-defense, building-materials, building-products-equipment, business-equipment-supplies, chemical-manufacturing, chemicals, conglomerates, consulting-services, electrical-equipment-parts, engineering-construction, farm-heavy-construction-machinery, industrial-distribution, infrastructure-operations, integrated-freight-logistics, manufacturing-diversified, marine-ports-services, marine-shipping, metal-fabrication, paper-paper-products, pollution-treatment-controls, railroads, rental-leasing-services, security-protection-services, specialty-business-services, specialty-chemicals, specialty-industrial-machinery, staffing-employment-services, tools-accessories, trucking, waste-management, real-estate-development, real-estate-diversified, real-estate-services, reit-diversified, reit-healthcare-facilities, reit-hotel-motel, reit-industrial, reit-mortgage, reit-office, reit-residential, reit-retail, reit-specialty, communication-equipment, computer-hardware, consumer-electronics, data-analytics, electronic-components, electronics-computer-distribution, hardware-software-distribution, information-technology-services, internet-content-information, scientific-technical-instruments, semiconductor-equipment-materials, semiconductors, software-application, software-infrastructure, broadcasting, entertainment, publishing, telecom-services, utilities-diversified, utilities-independent-power-producers, utilities-regulated-electric, utilities-regulated-gas, utilities-regulated-water, utilities-renewable, closed-end-fund-debt, closed-end-fund-equity, closed-end-fund-foreign, exchange-traded-fund

Responses

200OK

application/json

{
  "benchmark": {
    "dayChangePercent": 0.0,
    "fiveYearChangePercent": 0.0,
    "name": "string",
    "oneYearChangePercent": 0.0,
    "threeYearChangePercent": 0.0,
    "ytdChangePercent": 0.0
  },
  "key": "string",
  "name": "string",
  "overview": {
    "companiesCount": 0,
    "description": "string",
    "employeeCount": 0,
    "marketCap": 0.0,
    "marketWeight": 0.0
  },
  "performance": {
    "dayChangePercent": 0.0,
    "fiveYearChangePercent": 0.0,
    "oneYearChangePercent": 0.0,
    "threeYearChangePercent": 0.0,
    "ytdChangePercent": 0.0
  },
  "researchReports": [
    {
      "id": "string",
      "investmentRating": "string",
      "provider": "string",
      "reportDate": "string",
      "reportType": "string",
      "targetPrice": 0.0,
      "targetPriceStatus": "string",
      "title": "string"
    }
  ],
  "sectorKey": "string",
  "sectorName": "string",
  "symbol": "string",
  "topCompanies": [
    {
      "dayChangePercent": 0.0,
      "lastPrice": 0.0,
      "marketCap": 0.0,
      "marketWeight": 0.0,
      "name": "string",
      "rating": "string",
      "symbol": "string",
      "targetPrice": 0.0,
      "ytdReturn": 0.0
    }
  ],
  "topGrowthCompanies": [
    {
      "growthEstimate": 0.0,
      "lastPrice": 0.0,
      "name": "string",
      "symbol": "string",
      "ytdReturn": 0.0
    }
  ],
  "topPerformingCompanies": [
    {
      "lastPrice": 0.0,
      "name": "string",
      "symbol": "string",
      "targetPrice": 0.0,
      "ytdReturn": 0.0
    }
  ]
}

GqlIndustryData

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Key metrics ttm 1 endpoint(s)#

GET/v2/key-metrics-ttm/{symbol}Trailing-twelve-month key metrics.

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
symbol required
string (path)

Responses

200OK

application/json

{
  "averageInventory": 0.0,
  "averagePayables": 0.0,
  "averageReceivables": 0.0,
  "capexToDepreciation": 0.0,
  "capexToOperatingCashFlow": 0.0,
  "capexToRevenue": 0.0,
  "cashConversionCycle": 0.0,
  "currentRatio": 0.0,
  "daysOfInventoryOutstanding": 0.0,
  "daysOfPayablesOutstanding": 0.0,
  "daysOfSalesOutstanding": 0.0,
  "earningsYield": 0.0,
  "enterpriseValue": 0.0,
  "evToEbitda": 0.0,
  "evToFreeCashFlow": 0.0,
  "evToOperatingCashFlow": 0.0,
  "evToSales": 0.0,
  "freeCashFlowToEquity": 0.0,
  "freeCashFlowToFirm": 0.0,
  "freeCashFlowYield": 0.0,
  "grahamNetNet": 0.0,
  "grahamNumber": 0.0,
  "incomeQuality": 0.0,
  "intangiblesToTotalAssets": 0.0,
  "interestBurden": 0.0,
  "investedCapital": 0.0,
  "marketCap": 0.0,
  "netCurrentAssetValue": 0.0,
  "netDebtToEbitda": 0.0,
  "operatingCycle": 0.0,
  "operatingReturnOnAssets": 0.0,
  "researchAndDevelopmentToRevenue": 0.0,
  "returnOnAssets": 0.0,
  "returnOnCapitalEmployed": 0.0,
  "returnOnEquity": 0.0,
  "returnOnInvestedCapital": 0.0,
  "returnOnTangibleAssets": 0.0,
  "salesGeneralAndAdministrativeToRevenue": 0.0,
  "stockBasedCompensationToRevenue": 0.0,
  "symbol": "string",
  "tangibleAssetValue": 0.0,
  "taxBurden": 0.0,
  "workingCapital": 0.0
}

GqlKeyMetricsTtm

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Lookup 1 endpoint(s)#

GET/v2/lookupLook up symbols by type

Parameters

namedescriptionvalue
count optional
integer (query)
Maximum number of results (default: 25)
fields optional
string (query)
Comma-separated list of fields to include in response
lang optional
string (query)
Target language for translated text fields (BCP 47, e.g. "ja", "zh-Hant"); falls back to the Accept-Language header
logo optional
boolean (query)
Include logo URLs (requires additional API call, default: false)
q required
string (query)
Lookup query string (required)
region optional
Region (query)
Region code for lang/region settings (e.g., "US", "JP", "GB")

Available values: AR, AU, BR, CA, CN, DK, FI, FR, DE, GR, HK, IN, IL, IT, JP, KR, MY, MX, NZ, NO, PT, QA, RU, SG, ES, SE, TW, TH, TR, GB, US, VN

type optional
LookupType (query)
Asset type filter: all, equity, mutualfund, etf, index, future, currency, cryptocurrency

Available values: all, equity, mutualfund, etf, index, future, currency, cryptocurrency

Responses

200OK

application/json

{
  "count": 0,
  "quotes": [
    {
      "companyLogoUrl": "string",
      "exchDisp": "string",
      "exchange": "string",
      "industry": "string",
      "logoUrl": "string",
      "longName": "string",
      "quoteType": "string",
      "regularMarketChange": 0.0,
      "regularMarketChangePercent": 0.0,
      "regularMarketPreviousClose": 0.0,
      "regularMarketPrice": 0.0,
      "sector": "string",
      "shortName": "string",
      "symbol": "string",
      "typeDisp": "string"
    }
  ],
  "start": 0
}

GqlLookupResults

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Market calendar 1 endpoint(s)#

GET/v2/market-calendarGet a market-wide event calendar

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
from optional
string (query)
Start date (YYYY-MM-DD); ignored by market-holiday/market-status
kind required
MarketCalendarKindParam (query)
Which market-wide calendar to fetch (required)

Available values: earnings, ipo, dividend, split, economic, market-holiday, market-status

to optional
string (query)
End date (YYYY-MM-DD); ignored by market-holiday/market-status

Responses

200OK

application/json

[
  {
    "date": "string",
    "detail": {
      "EARNINGS": {
        "eps": 0.0,
        "epsEstimated": 0.0,
        "fiscalDateEnding": "string",
        "revenue": 0.0,
        "revenueEstimated": 0.0,
        "time": "string"
      }
    },
    "symbol": "string"
  }
]

GqlMarketCalendarEntry[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

404Symbol or resource not found

application/json

{
  "error": "string",
  "status": 0
}

ApiError

429Rate limited (global token bucket)

application/json

{
  "error": "string",
  "message": "string",
  "retryAfterSeconds": 0
}

RateLimitError

500Internal server error

application/json

{
  "error": "string",
  "status": 0
}

ApiError

Market summary 1 endpoint(s)#

GET/v2/market-summaryGet market summary

Parameters

namedescriptionvalue
fields optional
string (query)
Comma-separated list of fields to include in response
format optional
ValueFormat (query)
Value format: raw, pretty, or both (default: raw)

Available values: raw, pretty, both

lang optional
string (query)
Target language for translated text fields (BCP 47, e.g. "ja", "zh-Hant"); falls back to the Accept-Language header
region optional
Region (query)
Region code for localization (e.g., "US", "JP", "GB")

Available values: AR, AU, BR, CA, CN, DK, FI, FR, DE, GR, HK, IN, IL, IT, JP, KR, MY, MX, NZ, NO, PT, QA, RU, SG, ES, SE, TW, TH, TR, GB, US, VN

Responses

200OK

application/json

[
  {
    "exchange": "string",
    "fullExchangeName": "string",
    "marketState": "string",
    "quoteType": "string",
    "regularMarketChange": 0,
    "regularMarketChangePercent": 0,
    "regularMarketPreviousClose": 0,
    "regularMarketPrice": 0,
    "regularMarketTime": 0,
    "shortName": "string",
    "spark": {},
    "symbol": "string"
  }
]

GqlMarketSummaryQuote[]

400Bad request

application/json

{
  "error": "string",
  "status": 0
}

ApiError

[...]
